> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List child brokerage firms



## OpenAPI

````yaml /openapi.json get /view-specific/{brokerageFirmId}/child-brokerage-firms
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /view-specific/{brokerageFirmId}/child-brokerage-firms:
    get:
      tags:
        - view-specific
      summary: List child brokerage firms
      operationId: ViewSpecificController_listChildBrokerageFirms
      parameters:
        - name: brokerageFirmId
          required: true
          in: path
          schema:
            type: string
        - name: count
          required: false
          in: query
          description: the number of items to return
          schema:
            default: 10
            type: number
        - name: page
          required: false
          in: query
          description: the page to retrieve
          schema:
            default: 1
            type: number
        - name: hasSomeDistributionRequestWithStatus
          required: false
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - PENDING
                - WAITING_FOR_SIGNATURE
                - APPROVED
                - DENIED
                - REVOKED
        - name: productIds
          required: false
          in: query
          description: Product id
          schema:
            type: array
            items:
              type: string
        - name: productFilterMode
          required: false
          in: query
          description: >-
            Product filter mode: "and" to require all products, "or" to require
            any product
          schema:
            default: or
            type: string
            enum:
              - and
              - or
        - name: queryString
          required: false
          in: query
          description: Search query string
          schema:
            type: string
        - name: order
          required: false
          in: query
          description: the sort options
          schema:
            $ref: '#/components/schemas/BrokerageFirmOrderDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListChildBrokerageFirmsOutput'
components:
  schemas:
    BrokerageFirmOrderDto:
      type: object
      properties:
        by:
          type: string
          description: the sort key for brokerage firms
        direction:
          type: string
          description: the sort direction
      required:
        - by
        - direction
    ListChildBrokerageFirmsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/ListChildBrokerageFirmsOutputData'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    ListChildBrokerageFirmsOutputData:
      type: object
      properties:
        customFields:
          description: custom fields per product
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        type:
          type: string
          description: Entity type
        firmType:
          type: string
          description: Brokerage firm type
          enum:
            - WHOLESALE
            - RETAIL
            - TEAM
        id:
          type: string
          description: Brokerage firm id
        parentBrokerageFirmId:
          type: string
          description: Brokerage firm id
        companyInfo:
          description: Company info
          allOf:
            - $ref: '#/components/schemas/FormattedSirenDataDto'
        createdAt:
          format: date-time
          type: string
          description: Creation date of brokerage firm
        tenantId:
          type: string
          description: Tenant id
        preferredPaymentMethodId:
          type: string
        productIdsWithStatus:
          description: Product ids with status
          type: array
          items:
            type: string
      required:
        - type
        - firmType
        - id
        - companyInfo
        - createdAt
        - tenantId
        - productIdsWithStatus
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page
    CustomFieldDto:
      type: object
      properties:
        key:
          type: string
        value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
      required:
        - key
        - value
    FormattedSirenDataDto:
      type: object
      properties:
        siren:
          type: string
          description: 'Optional: Siren number'
        siret:
          type: string
          description: Siret number
        nafCode:
          type: string
          description: 'Optional: Naf code'
        nafLabel:
          type: string
          description: 'Optional: Naf label'
        name:
          type: string
          description: 'Optional: Company name'
        creationDate:
          type: string
          description: 'Optional: Creation date'
        location:
          description: 'Optional: Location'
          allOf:
            - $ref: '#/components/schemas/LocationDto'
        legalStatus:
          description: 'Optional: legal status by level'
          allOf:
            - $ref: '#/components/schemas/LegalStatusDto'
        headcount:
          type: string
          description: 'Optional: Number of employees'
      required:
        - siret
    LocationDto:
      type: object
      properties:
        address:
          type: string
          description: Address
        postCode:
          type: string
          description: Post code
        city:
          type: string
          description: City
        country:
          type: string
          description: Country
      required:
        - city
        - country
    LegalStatusDto:
      type: object
      properties:
        '1':
          type: string
          description: First legal status
        '2':
          type: string
          description: Second legal status
        '3':
          type: string
          description: Third legal status
      required:
        - '1'
        - '2'
        - '3'

````